Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554600 - dev-lang/orc-0.4.24: Elog message does not make sense
Summary: dev-lang/orc-0.4.24: Elog message does not make sense
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: The Gentoo Linux Hardened Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-12 10:30 UTC by Klaus Kusche
Modified: 2019-11-23 21:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Kusche 2015-07-12 10:30:04 UTC
When emerged with "hardened", dev-lang/orc-0.4.24 logs

WARN (postinst)

Please run "revdep-pax" after installation.
It's provided by sys-apps/elfix.

Running "revdep-pax" just prints a help message.
Please specify the command to run *exactly*,
I don't know what to do.

(why is this needed anyway? 
No other package ever asked me to run revdep-pax!)
Comment 1 Pacho Ramos gentoo-dev 2015-07-13 14:34:02 UTC
https://bugs.gentoo.org/show_bug.cgi?id=470842#c0 shows the affected libs and binaries... @hardened, what would be the complete revdep-pax command line to tell people to use?

Thanks
Comment 2 Gilles Dartiguelongue gentoo-dev 2016-01-02 11:29:29 UTC
Honestly, I don't really understand these pax tools. I had to set m on rygel yesterday because it would be killed otherwise calling orc on a hardened kernel but I am not sure if this is right or why it wouldn't be applied automatically by pax tools.
Comment 3 Larry the Git Cow gentoo-dev 2019-11-23 21:41:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3633014ee6b3f8d556d44cc59b5ec6ebf516504

commit e3633014ee6b3f8d556d44cc59b5ec6ebf516504
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2019-11-21 19:39:26 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2019-11-23 21:41:20 +0000

    dev-lang/orc: Version bump to 0.4.31
    
    - Convert to Meson (autotools build system was removed)
    - EAPI=7
    - Drop Darwin hack
    - Drop IUSE=pax_kernel
    
    Bug: https://bugs.gentoo.org/691804
    Closes: https://bugs.gentoo.org/554600
    Closes: https://bugs.gentoo.org/645232
    Closes: https://bugs.gentoo.org/698272
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 dev-lang/orc/Manifest          |  1 +
 dev-lang/orc/orc-0.4.31.ebuild | 43 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)